Skip to main content
GET
/
v1
/
search
/
reminders
Search reminders
curl --request GET \
  --url https://api.prod.getdex.com/v1/search/reminders \
  --header 'Authorization: Bearer <token>'
{
  "error": true,
  "data": {
    "items": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "text": "<string>",
        "due_at_date": "<string>",
        "due_at_time": "<string>",
        "is_complete": true,
        "recurrence": "<string>",
        "last_completed_at": "<string>",
        "next_occurrence_at": "<string>",
        "created_at": "<string>",
        "updated_at": "<string>"
      }
    ],
    "nextCursor": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "count": 123
  }
}

Use cases

  • Power a global search bar that includes reminder results
  • Find reminders matching a keyword
  • Help users quickly locate a specific reminder

Authorizations

Authorization
string
header
required

Use your Dex API key (e.g. dex_abc123...) as the Bearer token.

Query Parameters

searchQuery
string
startDate
string
endDate
string
isComplete
boolean
take
integer
Required range: x >= 1
cursor
string

Response

Successful response

error
boolean
required
data
object
required